﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014: (1 year) VER IEEE /9100+Opt250
DATE:                  2010-08-12 17:42:37
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       237
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2014
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Self-Test IEEE
#        Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas IEEE /9100+Opt250
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth IEEE /9100+Opt250
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens IEEE /9100+Opt250
#        Sub Tek TDS1000/2000 (1yr) ExTrig Sens IEEE/9100+Opt250
#        Sub Tek TDS1000/2000 (1yr) Sample Rate IEEE/9100+Opt250
#        Sub Tek TDS1000/2000 VER Required Equipment /9100
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment /9100"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         100MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.018  JMPL         END                          @Abort
  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.022  MATH         @UUT_Model = "TDS 2014"
  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TDS1000/2000 Specifications

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Tek TDS1000/2000 VER Required Equipment /9100
  1.031  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   BANDWIDTH(CH3)                     SAMPLE RATE AND DELAY TIME ACC
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH2)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH3)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH4)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.032  CALL         Sub Tek TDS1000/2000 Self-Test IEEE
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
  1.035  JMPL         END                          @Abort

  1.036  MATH         @Chan = 1
  1.037  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9100+Opt250

  1.038  MATH         @Chan = 2
  1.039  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9100+Opt250

  1.040  MATH         @Chan = 3
  1.041  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9100+Opt250

  1.042  MATH         @Chan = 4
  1.043  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9100+Opt250

  1.044  MATH         @Chan = 1
  1.045  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9100+Opt250
  1.046  JMPL         TRIG_CH1

  1.047  LABEL        BANDWIDTH_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9100+Opt250
  1.050  JMPL         TRIG_CH2

  1.051  LABEL        BANDWIDTH_CH3
  1.052  MATH         @Chan = 3
  1.053  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9100+Opt250
  1.054  JMPL         TRIG_CH3

  1.055  LABEL        BANDWIDTH_CH4
  1.056  MATH         @Chan = 4
  1.057  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9100+Opt250
  1.058  JMPL         TRIG_CH4

  1.059  LABEL        TRIG_CH1
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9100+Opt250
  1.062  JMPL         SAMPLE_RATE_DELAY_TIME

  1.063  LABEL        TRIG_CH2
  1.064  MATH         @Chan = 2
  1.065  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9100+Opt250
  1.066  JMPL         BANDWIDTH_CH3

  1.067  LABEL        TRIG_CH3
  1.068  MATH         @Chan = 3
  1.069  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9100+Opt250
  1.070  JMPL         BANDWIDTH_CH4

  1.071  LABEL        TRIG_CH4
  1.072  MATH         @Chan = 4
  1.073  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9100+Opt250

  1.074  MATH         @Chan = 1
  1.075  CALL         Sub Tek TDS1000/2000 (1yr) ExTrig Sens IEEE/9100+Opt250

  1.076  MATH         @Chan = 2
  1.077  CALL         Sub Tek TDS1000/2000 (1yr) ExTrig Sens IEEE/9100+Opt250

  1.078  MATH         @Chan = 3
  1.079  CALL         Sub Tek TDS1000/2000 (1yr) ExTrig Sens IEEE/9100+Opt250

  1.080  MATH         @Chan = 4
  1.081  CALL         Sub Tek TDS1000/2000 (1yr) ExTrig Sens IEEE/9100+Opt250
  1.082  JMPL         END

  1.083  LABEL        SAMPLE_RATE_DELAY_TIME
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub Tek TDS1000/2000 (1yr) Sample Rate IEEE/9100+Opt250
  1.086  JMPL         BANDWIDTH_CH2

  1.087  LABEL        END

  1.088  IF           @Abort
  1.089  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.090  ELSE
  1.091  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.092  ENDIF

  1.093  IEEE2        *RST
  1.094  END
